<app-menu></app-menu>

<div class="container">

        <div class="col-lg-12">
                <h6>Consulta de Autor - Chuquitaype</h6>
        </div>

        <!-- [(ngModel)]  son los parametro de la consulta  -->
        <div class="col-12">
                <mat-form-field class="col-3">
                        <mat-label>Nombres</mat-label>
                        <input matInput [(ngModel)] = "nombres" >
                </mat-form-field>
                <mat-form-field class="col-3">
                        <mat-label>Apellidos</mat-label>
                        <input matInput [(ngModel)] = "apellidos">
                </mat-form-field>
                
                <mat-checkbox class="example-margin" checked class="col-3" [(ngModel)] = "estado" >Estado                        
                </mat-checkbox>

                <button mat-raised-button type="submit" color="primary" (click)="consulta()">Filtrar</button>
                <button mat-raised-button type="submit" color="warn" (click)="exportarPDF()">PDF</button>
        </div>
        <div class="col-12">
                <mat-form-field class="col-3">
                        <mat-label>Teléfono</mat-label>
                        <input matInput [(ngModel)] = "telefono">
                </mat-form-field> 

                <!-- selPais: es un parametro de la consulta-->
                <mat-form-field class="col-3">
                        <mat-label>País</mat-label>
                        <mat-select  [(ngModel)] = "selPais"  >
                        <mat-option value="-1"> [Seleccione] </mat-option>
                        <mat-option [value]="x.idPais" *ngFor="let x of lstPais" >
                                {{x.nombre}}
                        </mat-option>
                        </mat-select>
                </mat-form-field>
               
                <mat-form-field class="col-3">
                        <mat-label>Grado</mat-label>
                        <mat-select  [(ngModel)] = "selGrado"  >
                        <mat-option value="-1"> [Seleccione] </mat-option>
                        <mat-option [value]="x.idDataCatalogo"  *ngFor="let x of lstGrado" >
                                {{x.descripcion}}
                        </mat-option>
                        </mat-select>
                </mat-form-field> 
        </div>

        <!-- CABECERAS-->
        <div class="col-12">
            <div class="mat-elevation-z8">
                <mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">
                <ng-container matColumnDef="idAutor">
                        <th mat-header-cell *matHeaderCellDef style="width: 50px">Id</th>
                        <td mat-cell *matCellDef="let aux" style="width: 50px">{{ aux.idAutor}}</td>
                </ng-container>
                <ng-container matColumnDef="nombres">
                        <th mat-header-cell *matHeaderCellDef style="width: 150px">Nombres</th>
                        <td mat-cell *matCellDef="let aux" style="width: 150px">{{ aux.nombres}}</td>
                </ng-container>
                <ng-container matColumnDef="apellidos">
                        <th mat-header-cell *matHeaderCellDef style="width: 150px">Apellidos</th>
                        <td mat-cell *matCellDef="let aux" style="width: 150px">{{ aux.apellidos}}</td>
                </ng-container>
                <ng-container matColumnDef="fechaNacimiento">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">Fecha Nacimiento</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.fechaNacimiento |
                                date:"dd/MM/yyyy"}}</td>
                </ng-container>
                <ng-container matColumnDef="telefono">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">Teléfono</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.telefono}}</td>
                </ng-container>
                <ng-container matColumnDef="fechaRegistro">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">Fecha de Registro</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.fechaRegistro |
                                date:"dd/MM/yyyy"}}</td>
                </ng-container>
                <ng-container matColumnDef="hora">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">Hora</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.fechaRegistro |
                                date:"HH:mm:ss a"}}</td>
                </ng-container> 
                <ng-container matColumnDef="estado">
                        <th mat-header-cell *matHeaderCellDef style="width: 100px">Estado</th>
                        <td mat-cell *matCellDef="let aux" style="width: 100px">{{ aux.estado == 1 ?
                                "Activo" :
                                "Inactivo" }}</td>
                </ng-container>             
                <ng-container matColumnDef="pais">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">País</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.pais!.nombre}}</td>
                </ng-container>
                                
                <ng-container matColumnDef="grado">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">Grado</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.grado!.descripcion}}</td>
                </ng-container>

                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>

                </mat-table>
                <mat-paginator [pageSizeOptions]="[6, 8, 10]" showFirstLastButtons></mat-paginator>

            </div>

        </div>

</div>